<?php
/**
 * node-forum.tpl.php is the template file for both
 * the top post (the node) and the comments/replies
 * Changes here will affect an individual forum thread.
 
 * The following standard variables are available to you:
    $is_forum  - TRUE if we are in the forums. Useful to format the
               - node differently if promoted to the front page, for example.
    $top_post  - TRUE if we are formatting the main post (ie, not a comment)
    $row_class - ODD or EVEN post/comment
    $title     - Title of this post/comment
    $content   - Content of this post/comment
    $links     - Formatted links (reply, edit, delete, etc)
    $submitted - Formatted date post/comment submitted

    $userid    - ID of the poster
    $name      - User name of poster
    $joined    - Formatted date of when the poster joined the site
    $posts     - Number of forum posts/comments by the poster

 */
// Show nodes normally when they appear outside of the forum
if (!$is_forum || (!module_exists('advanced_forum'))) {
  include('node.tpl.php');
  return;
} ?>

<div class="forum-post<?php print $top_post ? ' forum-post-top' : ' forum-post-reply'; ?><?php print $comment->new ? ' forum-post-new' : ''; ?><?php print ' post-'. $row_class; ?>">
  <?php if(!$top_post): // prevent the page title from printing twice ?>
  <h2 class="title"> <?php print $title ?><?php print $comment->new ? ' <a name="new" id="new">' . $new . '</a>' : '' ?> </h2>
  <?php endif; ?>
  <div class="forum-wrapper-left">
    <div class="meta-author">
      <ul class="author">
        <?php if($picture): // print users picture, if enabled ?>
        <li class="user-picture"><?php print $picture; ?></li>
        <?php endif; ?>
        <li class="user-name"><span><?php print $name; ?></span></li>
        <?php if($user_title): // print users title, if supported ?>
        <li class="user-title"><span><?php print $user_title; ?></span></li>
        <?php endif; ?>
        <?php if($posts): // print users total num of posts, if supported ?>
        <li class="user-posts">
          <label>Posts:</label>
          <span><?php print $posts; ?></span></li>
        <?php endif; ?>
        <?php if ($joined): // print the date the user registered ?>
        <li class="user-joined">
          <label>Joined:</label>
          <span><?php print $joined; ?></span></li>
        <?php endif; ?>
        <?php if ($points): // print users total points, if supported ?>
        <li class="user-points">
          <label>Points:</label>
          <span><?php print $points; ?></span></li>
        <?php endif; ?>
        <li class="user-status<?php print $online_status ? '-online' : '-offline'; ?>">
          <span><?php print $online_status ? 'Online Now' : 'Offline'; ?></span> </li>
      </ul>
    </div>
  </div>
  <div class="forum-wrapper-right<?php print $picture ? ' with-picture' : ' without-picture'; // for modifiable min-height ?>">
    <div class="meta-post">
      <ul>
        <li class="date">
          <label>Posted:</label>
          <span><?php print $date; ?></span></li>
        <?php if(!$top_post): // print a comment link, if this is not the first post ?>
        <li class="comment-link"><span><?php print $comment_link; ?></span></li>
        <?php endif; ?>
      </ul>
    </div>
    <div class="content"> <?php print $content ?> </div>
  </div>
  <br class="clear" />
  <div class="links"><?php print $links ?> </div>
</div>
